/*
 * jQuery slideShow 1.0
 * 
 * [Slider]
 * 
 * NO COPYRIGHTS OR LICENSES. DO WHAT YOU LIKE.
 * 
 * http://digipiph.com
 * 
 * File generated: Tue Oct 19 12:25 EST 2012
 */
(function($){
      
  //START $.fn.slideShow
  $.fn.slideShow = function (instanceSettings) {
  	
	//settings
	var defaultSettings = {
      showWidth         :  500,
	  showHeight        :  350,
	  slideSpeed        :  4000,
	  slideTransition   :  'fade', //none, fade, fadeInto, slideRight, slideLeft, slideUp, slideDown
	  slideTranSpeed    :  500,
	  titleTransition   :  'fade', //none, fade, wipe, slideRight, slideLeft, slideUp, slideDown
	  titleTranSpeed    :  500,
	  titleTranDelay    :  1000,
	  imgTransition     :  'fade', //none, fade, wipe, slideRight, slideLeft, slideUp, slideDown
	  imgTranSpeed      :  500,
	  imgTranDelay      :  1250,
	  contentTransition :  'fade', //none, fade, wipe, slideRight, slideLeft, slideUp, slideDown
	  contentTranSpeed  :  500,
	  contentTranDelay  :  1500,
	  background        :  'url("images/background.jpg") center #4c3928', //css
	  loading           :  'images/loading.gif' //url link
    };
  
    
	
	/***********************
	//General Configuring (Global Variables)
	***********************/
	
	// get the defaults or any user set options
	var settings = $.extend(defaultSettings, instanceSettings);					
	
	//general info about the slider
	var currentShow = this.attr('id');
    var slides = $('#'+currentShow+' .slide');
    var numberOfSlides = slides.length;
	var currentSlide = -1; //Start with negative 1
	var running = false;
	
	//placeholders for timers
	var timer = 0;
	var titletimer = 0;
	var contenttimer = 0;
	var imgtimer = 0;
	
	//placeholder objects for retaining the top and left locations
	var titleTop;
	var titleLeft;
	var contentTop;
	var contentLeft;
	var imgTop;
	var imgLeft;
	
	//apply the loading screen
	if (settings.loading) {
	  $('#'+currentShow).css({
	    'width'      : settings.showWidth+'px',
	    'height'     : settings.showHeight+'px',
	    'background' : 'url("'+settings.loading+'") #fff no-repeat center'
	  });
	}
		
	//make sure all the images are loaded first before doing anything
	$(window).load(function() {	
	
	  //if there is a loading screen, make sure it is displayed for at least 1 second
	  var startShow = (settings.loading) ? 1000 : 0;
	  
	  setTimeout(function () {
	  
	    /***********************
	    //slideShow Styling
	    ***********************/
		  	  
	    $('#'+currentShow).css({
	      'width'      : settings.showWidth+'px',
		  'height'     : settings.showHeight+'px',
		  'background' : settings.background,
		  'overflow'   : 'hidden',
		  'position'   : 'relative'
	    });
	
	    slides.css({ 
	      'position'    : 'absolute',
		  'top'         : '0px',
		  'left'        : '0px',
		  'visibility'  : 'hidden',
		  'width'       : settings.showWidth+'px',
		  'height'      : settings.showHeight+'px'
        });
	  	  
	    $('#'+currentShow+' .slide .slide_title').css('visibility', 'hidden');
	    $('#'+currentShow+' .slide .slide_img').css('visibility', 'hidden');
		$('#'+currentShow+' .slide .slide_content').css('visibility', 'hidden');
	  	  
	    //display the first slide
	    $('#'+currentShow).find('.slide').eq(currentSlide).transitionSlide('next');
	  
	    //set the speed for how fast the slider will move
	    timer = setInterval(function() { 
		  if ((currentSlide + 1) == numberOfSlides) { 
	        var nxtSlide = 0;
	      }
	      else {
	        var nxtSlide = currentSlide + 1;
	      }
		  $('#'+currentShow).transitionSlide('next');
	    }, settings.slideSpeed);
	  	  	  	  
	  }, startShow);
	
	}); //end $(window).load
		
	
	
	/***********************
	//Public Helper Functions
	//Called by $('#object_id').functionName(vars);
	***********************/
	
	$.fn.nextSlide = function() {
	  	  
	  // Stop the current timers
	  clearInterval(timer);
	  clearTimeout(titletimer);
	  clearTimeout(contenttimer);
	  clearTimeout(imgtimer);
	  
	  // Stop the current animations
	  $('#'+currentShow).find('.slide').eq(currentSlide).stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_title').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_img').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_content').stop(true, true);
	  	  	  	  
	  // Transition to the next slide
	  $('#'+currentShow).transitionSlide('next');
	  
	  // Restart the timer
	  timer = setInterval(function() { 
	    if ((currentSlide + 1) == numberOfSlides) { 
	      var nxtSlide = 0;
	    }
	    else {
	      var nxtSlide = currentSlide + 1;
	    }
		$('#'+currentShow).transitionSlide('next');
	  }, settings.slideSpeed);
	  
	};
	
	$.fn.prevSlide = function() {
	  	  
	  // Stop the current timers
	  clearInterval(timer);
	  clearTimeout(titletimer);
	  clearTimeout(contenttimer);
	  clearTimeout(imgtimer);
	  
	  // Stop the current animations
	  $('#'+currentShow).find('.slide').eq(currentSlide).stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_title').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_img').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_content').stop(true, true);
	  	  	  	  	  	  
	  // Transition to the previous slide
	  $('#'+currentShow).transitionSlide('previous');
	  
	  // Restart the timer
	  timer = setInterval(function() { 
	    if ((currentSlide + 1) == numberOfSlides) { 
	      var nxtSlide = 0;
	    }
	    else {
	      var nxtSlide = currentSlide + 1;
	    }
		$('#'+currentShow).transitionSlide('next');
	  }, settings.slideSpeed);
	  
	};
	
	$.fn.gotoSlide = function(slide) {
	  	  
	  if (currentSlide == (slide - 1)) return false;
	  
	  // Stop the current timers
	  clearInterval(timer);
	  clearTimeout(titletimer);
	  clearTimeout(contenttimer);
	  clearTimeout(imgtimer);
	  
	  // Stop the current animations
	  $('#'+currentShow).find('.slide').eq(currentSlide).stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_title').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_img').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_content').stop(true, true);
	  	  	  	  	  	  
	  // Transition to the previous slide
	  $('#'+currentShow).transitionSlide(slide - 1);
	  
	  // Restart the timer
	  timer = setInterval(function() { 
	    if ((currentSlide + 1) == numberOfSlides) { 
	      var nxtSlide = 0;
	    }
	    else {
	      var nxtSlide = currentSlide + 1;
	    }
		$('#'+currentShow).transitionSlide('next');
	  }, settings.slideSpeed);
	  
	};
	
	$.fn.pauseSlide = function() {
	  	  
	  // Stop the current timers
	  clearInterval(timer);
	  clearTimeout(titletimer);
	  clearTimeout(contenttimer);
	  clearTimeout(imgtimer);
	  
	  running = false;
	  
	  // Stop the current animations
	  $('#'+currentShow).find('.slide').eq(currentSlide).stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_title').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_img').stop(true, true);
	  $('#'+currentShow).find('.slide').eq(currentSlide).find('.slide_content').stop(true, true);
	  	  	  	  	  
	};
	
	$.fn.resumeSlide = function() {
	  	  	  	  	  	  
	  if (!running) {
	  
	    // Transition to the next slide
	    $('#'+currentShow).transitionSlide('next');
	  
	    // Restart the timer
	    timer = setInterval(function() { 
	      if ((currentSlide + 1) == numberOfSlides) { 
	        var nxtSlide = 0;
	      }
	      else {
	        var nxtSlide = currentSlide + 1;
	      }
		  $('#'+currentShow).transitionSlide('next');
	    }, settings.slideSpeed);
	  }
	};
	
	$.fn.transitionSlide = function(dir) {
	  
	  running = true;
	  
	  //set the slides
	  switch(dir) {
		  default: //go to a slide number
		    
			var preSlide = $('#'+currentShow).find('.slide').eq(currentSlide);
	        currentSlide = dir;
	        var nextSlide = $('#'+currentShow).find('.slide').eq(currentSlide);
		  
		    break;
		  case 'next':
		    
			var preSlide = $('#'+currentShow).find('.slide').eq(currentSlide);
	        
			//determine if there is another slide, if not, go back to the beginning
	        if ((currentSlide + 1) == numberOfSlides) { 
	          currentSlide = 0;
	        }
	        else {
	          currentSlide++;
	        }
	        var nextSlide = $('#'+currentShow).find('.slide').eq(currentSlide);
		    
			break;
		  case 'previous':
		  
		    var preSlide = $('#'+currentShow).find('.slide').eq(currentSlide);
	        
			//determine if the previous slide is the beginning
	        if ((currentSlide - 1) == -1) { 
	          currentSlide = numberOfSlides - 1;
	        }
	        else {
	          currentSlide--;
	        }
	        var nextSlide = $('#'+currentShow).find('.slide').eq(currentSlide);
			
		    break;
	  }
	  
	  //set the attribute (aka slide transition effect)
	  attr = setAttr(nextSlide.attr('class'));
	  attr = (attr != null) ? attr : settings.slideTransition;
	  speed = settings.slideTranSpeed;
	  
	  //set the placeholder objects
	  titleTop = nextSlide.find('.slide_title').position().top;
	  titleLeft = nextSlide.find('.slide_title').position().left;
	  imgTop = nextSlide.find('.slide_img').position().top;
	  imgLeft = nextSlide.find('.slide_img').position().left;
	  contentTop = nextSlide.find('.slide_content').position().top;
	  contentLeft = nextSlide.find('.slide_content').position().left;
	  
	  switch(attr) {
	    case'none':
	      		  
		  //bring in new slide
		  nextSlide.css('visibility', 'visible');
		  
		  //hide previous slide
		  preSlide.css('visibility', 'hidden');
		  preSlide.find('.slide_title').css('visibility', 'hidden');
		  preSlide.find('.slide_img').css('visibility', 'hidden');
		  preSlide.find('.slide_content').css('visibility', 'hidden');
		  		  		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
		case'fade':
		  
		  //fade out previous slide
		  preSlide.fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		  preSlide.find('.slide_title').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		  preSlide.find('.slide_img').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		  preSlide.find('.slide_content').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		  		  
		  //fade in new slide
		  var fadetimer = setTimeout(function() {
		    nextSlide.css('visibility','visible').hide().fadeIn(speed);
          }, speed);
		  		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
		case'fadeInto':
	      		  
		  preSlide.css('z-index', 0);
		  
		  //move the next slide above screen
		  nextSlide.css('z-index', 10);
		  
		  //bring in new slide
		  nextSlide.css('visibility','visible').hide().fadeIn(speed, function() {
		    //hide previous slide
		    preSlide.css('visibility', 'hidden');
		    preSlide.find('.slide_title').css('visibility', 'hidden');
		    preSlide.find('.slide_img').css('visibility', 'hidden');
			preSlide.find('.slide_content').css('visibility', 'hidden');
			  
		  });
		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
		case'slideRight':
	      		  
		  preSlide.css('z-index', 0);
		  
		  //move the next slide off screen
		  nextSlide.css({
		    'left'    : '-'+settings.showWidth+'px', 
			'z-index' : 10
		  });
		  
		  //bring in new slide
		  nextSlide.css('visibility','visible');
		  nextSlide.animate({ 'left' : '0px' }, speed, function() {
		  
		    //hide previous slide
		    preSlide.fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_title').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			preSlide.find('.slide_img').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_content').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			  
		  });
		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
		case'slideLeft':
	      
		  preSlide.css('z-index', 0);		  
		  
		  //move the next slide off screen
		  nextSlide.css({
		    'left'    : settings.showWidth+'px', 
			'z-index' : 10
		  });
		  
		  //bring in new slide
		  nextSlide.css('visibility','visible');
		  nextSlide.animate({ 'left' : '0px' }, speed, function() {
					  
		    //hide previous slide
		    preSlide.fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_title').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			preSlide.find('.slide_img').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_content').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			  
		  });
		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
		case'slideUp':
	      		  
		  preSlide.css('z-index', 0);
		  
		  //move the next slide off screen
		  nextSlide.css({
		    'top'     : settings.showHeight+'px', 
			'z-index' : 10
		  });
		  
		  //bring in new slide
		  nextSlide.css('visibility','visible');
		  nextSlide.animate({ 'top' : '0px' }, speed, function() {
					  
		    //hide previous slide
		    preSlide.fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_title').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			preSlide.find('.slide_img').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_content').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			  
		  });
		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
		case'slideDown':
	      		  
		  preSlide.css('z-index', 0);
		  
		  //move the next slide off screen
		  nextSlide.css({
		    'top'     : '-'+settings.showHeight+'px', 
			'z-index' : 10
		  });
		  
		  //bring in new slide
		  nextSlide.css('visibility','visible');
		  nextSlide.animate({ 'top' : '0px' }, speed, function() {
					  
		    //hide previous slide
		    preSlide.fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_title').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			preSlide.find('.slide_img').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
		    preSlide.find('.slide_content').fadeOut(speed, function() { $(this).css('visibility', 'hidden').show() });
			  
		  });
		  
		  //bring in elements
		  titletimer = setTimeout(function () { 
		      nextSlide.find('.slide_title').transitionTitle(nextSlide.find('.slide_title').attr('class')); 
		    }, settings.titleTranDelay);
		  imgtimer = setTimeout(function () { 
		      nextSlide.find('.slide_img').transitionImg(nextSlide.find('.slide_img').attr('class'));
            }, settings.imgTranDelay);
		  contenttimer = setTimeout(function () { 
		      nextSlide.find('.slide_content').transitionContent(nextSlide.find('.slide_content').attr('class'));
            }, settings.contentTranDelay);
		  
		  break;
	  }
	  	    
	};
	
	$.fn.transitionTitle = function(attr, speed) {
	  
	  attr = setAttr(attr);
	  attr = (attr) ? attr : settings.titleTransition;
	  speed = (speed) ? speed : settings.titleTranSpeed;
	  
	  switch(attr) {
	    case'none':
		  $(this).css('visibility', 'visible');
		  break;
		case'fade':
		  $(this).css('visibility','visible').hide().fadeIn(speed);
		  break;
		case'wipe':
		  $(this).css({'white-space' : 'nowrap', 'visibility' : 'visible'}).hide().animate({width: 'toggle'});
		  break;
		case'slideRight':
		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position' : 'absolute',
			'left'     : '-'+settings.showWidth+'px',
			'top'      : titleTop+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'left' : titleLeft+'px' }, speed);
		  
		  break;
		case'slideLeft':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : settings.showWidth+'px',
			'top'         : titleTop+'px',
			'white-space' : 'nowrap'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'left' : titleLeft+'px' }, speed);
		  
		  break;
		case'slideUp':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : titleLeft+'px',
			'top'         : settings.showHeight+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'top' : titleTop+'px' }, speed);
		  
		  break;
		case'slideDown':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : titleLeft+'px',
			'top'         : '-'+settings.showHeight+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'top' : titleTop+'px' }, speed);
		  
		  break;
	  }
	    
	};
	
	$.fn.transitionImg = function(attr, speed) {
	  
	  attr = setAttr(attr);
	  attr = (attr) ? attr : settings.imgTransition;
	  speed = (speed) ? speed : settings.imgTranSpeed;
	  
	  switch(attr) {
	    case'none':
		  $(this).css('visibility', 'visible');
		  break;
		case'fade':
		  $(this).css('visibility','visible').hide().fadeIn(speed);
		  break;
		case'wipe':
		  $(this).css({'white-space' : 'nowrap', 'visibility' : 'visible'}).hide().animate({width: 'toggle'});
		  break;
		case'slideRight':
		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position' : 'absolute',
			'left'     : '-'+settings.showWidth+'px',
			'top'      : imgTop+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'left' : imgLeft+'px' }, speed);
		  
		  break;
		case'slideLeft':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : settings.showWidth+'px',
			'top'         : imgTop+'px',
			'white-space' : 'nowrap'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'left' : imgLeft+'px' }, speed);
		  
		  break;
		case'slideUp':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : imgLeft+'px',
			'top'         : settings.showHeight+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'top' : imgTop+'px' }, speed);
		  
		  break;
		case'slideDown':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : imgLeft+'px',
			'top'         : '-'+settings.showHeight+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'top' : imgTop+'px' }, speed);
		  
		  break;
	  }
	    
	};
	
	$.fn.transitionContent = function(attr, speed) {
	  
	  attr = setAttr(attr);
	  attr = (attr) ? attr : settings.contentTransition;
	  speed = (speed) ? speed : settings.contentTranSpeed;
	  
	  switch(attr) {
	    case'none':
		  $(this).css('visibility','visible');
		  break;
		case'fade':
		  $(this).css('visibility','visible').hide().fadeIn(speed);
		  break;
		case'wipe':
		  $(this).css({'white-space' : 'nowrap', 'visibility' : 'visible'}).hide().animate({width: 'toggle'});
		  break;
		case'slideRight':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position' : 'absolute',
			'left'     : '-'+settings.showWidth+'px',
			'top'      : contentTop+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'left' : contentLeft+'px' }, speed);
		  
		  break;
		case'slideLeft':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : settings.showWidth+'px',
			'top'         : contentTop+'px',
			'white-space' : 'nowrap'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'left' : contentLeft+'px' }, speed);
		  
		  break;
		case'slideUp':
		  		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : contentLeft+'px',
			'top'         : settings.showHeight+'px'
		  });
		  
		  $(this).css('visibility','visible');
		  $(this).animate({ 'top' : contentTop+'px' }, speed);
		  
		  break;
		case'slideDown':
		  		  
		  //move the element off the screen, then slide in to its left position
		  $(this).css({
		    'position'    : 'absolute',
			'left'        : contentLeft+'px',
			'top'         : '-'+settings.showHeight+'px'
		  });
		  $(this).css('visibility','visible');
		  $(this).animate({ 'top' : contentTop+'px' }, speed);
		  
		  break;
	  }
	    
	};
	
	function setAttr(attr) {
		  
	  if (attr) {
	  
	    var tranAttr;
	  
	    if (attr.search('fade') != -1) tranAttr = 'fade';
	    if (attr.search('slideLeft') != -1) tranAttr = 'slideLeft';
	    if (attr.search('slideRight') != -1) tranAttr = 'slideRight';
	    if (attr.search('slideUp') != -1) tranAttr = 'slideUp';
	    if (attr.search('slideDown') != -1) tranAttr = 'slideDown';
	    if (attr.search('wipe') != -1) tranAttr = 'wipe';
	    if (attr.search('none') != -1) tranAttr = 'none';
		if (!tranAttr) tranAttr = null;
	  
	    return tranAttr;
	  } 
	  else {
	    return null;
	  }
	}
	
		
  }
  //END $.fn.slideShow
    
})(jQuery)